ON_UnknownUserData Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_userdata.h>`

Inheritance diagram for ON_UnknownUserData:

## Public Member Functions

| ON_UnknownUserData ()
| ON_UnknownUserData (const ON_UnknownUserData &)
| ~ON_UnknownUserData ()
ON_UnknownUserData & | operator= (const ON_UnknownUserData &)
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
void | Dump (ON_TextLog &) const
ON_BOOL32 | Write (ON_BinaryArchive &) const
ON_BOOL32 | Read (ON_BinaryArchive &)
unsigned int | SizeOf () const
ON_BOOL32 | GetDescription (ON_wString &)
ON_BOOL32 | Archive () const
ON_UserData * | Convert () const
Public Member Functions inherited from ON_UserData
| ON_UserData ()
| ON_UserData (const ON_UserData &)
ON_UserData & | operator= (const ON_UserData &)
| ~ON_UserData ()
ON_Object * | Owner () const
ON_UserData * | Next () const
ON_UUID | UserDataClassUuid () const
ON_BOOL32 | IsUnknownUserData () const
virtual ON_BOOL32 | Transform (const ON_Xform &)
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
virtual ON::object_type | ObjectType () const
virtual ON_UUID | ModelObjectId () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Public Attributes

ON_UUID | m_unknownclass_uuid
int | m_sizeof_buffer
void * | m_buffer
int | m_3dm_version
int | m_3dm_opennurbs_version
Public Attributes inherited from ON_UserData
ON_UUID | m_userdata_uuid
ON_UUID | m_application_uuid
unsigned int | m_userdata_copycount
ON_Xform | m_userdata_xform

## Detailed Description

Definition at line 191 of file opennurbs_userdata.h.

## Constructor & Destructor Documentation

## ON_UnknownUserData() [1/2]

ON_UnknownUserData::ON_UnknownUserData | ( |  | ) |

## ON_UnknownUserData() [2/2]

ON_UnknownUserData::ON_UnknownUserData | ( | const ON_UnknownUserData & |  | ) |

## ~ON_UnknownUserData()

ON_UnknownUserData::~ON_UnknownUserData | ( |  | ) |

## Member Function Documentation

## Archive()

ON_BOOL32 ON_UnknownUserData::Archive | ( |  | ) | const

virtual

Reimplemented from ON_UserData.

## Convert()

ON_UserData* ON_UnknownUserData::Convert | ( |  | ) | const

## Dump()

void ON_UnknownUserData::Dump | ( | ON_TextLog & |  | ) | const

virtual

Reimplemented from ON_UserData.

## GetDescription()

ON_BOOL32 ON_UnknownUserData::GetDescription | ( | ON_wString & |  | ) |

virtual

Reimplemented from ON_UserData.

## IsValid()

ON_BOOL32 ON_UnknownUserData::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

virtual

Reimplemented from ON_UserData.

## operator=()

ON_UnknownUserData& ON_UnknownUserData::operator= | ( | const ON_UnknownUserData & |  | ) |

## Read()

ON_BOOL32 ON_UnknownUserData::Read | ( | ON_BinaryArchive & |  | ) |

virtual

Reimplemented from ON_Object.

## SizeOf()

unsigned int ON_UnknownUserData::SizeOf | ( |  | ) | const

virtual

Reimplemented from ON_UserData.

## Write()

ON_BOOL32 ON_UnknownUserData::Write | ( | ON_BinaryArchive & |  | ) | const

virtual

Reimplemented from ON_Object.

## Member Data Documentation

## m_3dm_opennurbs_version

int ON_UnknownUserData::m_3dm_opennurbs_version

Definition at line 261 of file opennurbs_userdata.h.

## m_3dm_version

int ON_UnknownUserData::m_3dm_version

Definition at line 260 of file opennurbs_userdata.h.

## m_buffer

void* ON_UnknownUserData::m_buffer

Definition at line 246 of file opennurbs_userdata.h.

## m_sizeof_buffer

int ON_UnknownUserData::m_sizeof_buffer

Definition at line 245 of file opennurbs_userdata.h.

## m_unknownclass_uuid

ON_UUID ON_UnknownUserData::m_unknownclass_uuid

Definition at line 244 of file opennurbs_userdata.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_userdata.h